com.threerings.parlor.tourney.data

## Class TourniesMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.parlor.tourney.data.TourniesMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, TourniesService, com.threerings.presents.client.InvocationService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from TourniesService.java.")
    public class TourniesMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements TourniesService

Provides the implementation of the `TourniesService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `CREATE_TOURNEY` The method id used to dispatch `createTourney(com.threerings.parlor.tourney.data.TourneyConfig, com.threerings.presents.client.InvocationService.ResultListener)` requests.

### Constructor Summary

Constructors
Constructor and Description
`TourniesMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createTourney(TourneyConfig arg1, com.threerings.presents.client.InvocationService.ResultListener arg2)` Creates a new tourney.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CREATE_TOURNEY

    public static final int CREATE_TOURNEY

The method id used to dispatch `createTourney(com.threerings.parlor.tourney.data.TourneyConfig, com.threerings.presents.client.InvocationService.ResultListener)` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### TourniesMarshaller

    public TourniesMarshaller()

### Method Detail

#### createTourney

    public void createTourney(TourneyConfig arg1,
                              com.threerings.presents.client.InvocationService.ResultListener arg2)

Description copied from interface: `TourniesService`
Creates a new tourney.

Specified by:
  `createTourney` in interface `TourniesService`